# Class PostStatChangeStatChangeAbAttr

#### Hierarchy (view full)

- PostStatChangeAbAttr
  - PostStatChangeStatChangeAbAttr

- Defined in src/data/ability.ts:992

#####
Index

### Constructors

constructor

### Properties

condition
levels
showAbility
statsToChange

### Methods

addCondition
apply
applyPostStatChange
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostStatChangeStatChangeAbAttr(condition, statsToChange, levels): PostStatChangeStatChangeAbAttr

- #### Parameters

  - condition: PokemonStatChangeCondition
  - statsToChange: BattleStat []
  - levels: number

  #### Returns PostStatChangeStatChangeAbAttr

  Overrides PostStatChangeAbAttr.constructor

  - Defined in src/data/ability.ts:997

## Properties

### `Private` condition

condition: PokemonStatChangeCondition

- Defined in src/data/ability.ts:993

### `Private` levels

levels: number

- Defined in src/data/ability.ts:995

### showAbility

showAbility: boolean

Inherited from PostStatChangeAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` statsToChange

statsToChange: BattleStat []

- Defined in src/data/ability.ts:994

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostStatChangeAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostStatChangeAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostStatChange

- applyPostStatChange(pokemon, statsChanged, levelsChanged, selfTarget, args): boolean

- #### Parameters

  - pokemon: default
  - statsChanged: BattleStat []
  - levelsChanged: number
  - selfTarget: boolean
  - args: any[]

  #### Returns boolean

  Overrides PostStatChangeAbAttr.applyPostStatChange

  - Defined in src/data/ability.ts:1005

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostStatChangeAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostStatChangeAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137